package com.yunfeiyun.agmp.fms.mapper;

import com.yunfeiyun.agmp.fms.domain.TmnLand;

import java.util.List;

/**
 * 设备基地Mapper接口
 * 
 * @author 杨晓辉
 * @date 2023-07-12
 */
public interface TmnLandMapper 
{
    /**
     * 查询设备基地
     * 
     * @param tmnlandId 设备基地主键
     * @return 设备基地
     */
    public TmnLand selectTmnLandByTmnlandId(String tmnlandId);

    /**
     * 查询设备基地列表
     * 
     * @param tmnLand 设备基地
     * @return 设备基地集合
     */
    public List<TmnLand> selectTmnLandList(TmnLand tmnLand);

    /**
     * 新增设备基地
     * 
     * @param tmnLand 设备基地
     * @return 结果
     */
    public int insertTmnLand(TmnLand tmnLand);

    /**
     * 修改设备基地
     * 
     * @param tmnLand 设备基地
     * @return 结果
     */
    public int updateTmnLand(TmnLand tmnLand);

    /**
     * 删除设备基地
     * 
     * @param tmnlandId 设备基地主键
     * @return 结果
     */
    public int deleteTmnLandByTmnlandId(String tmnlandId);

    /**
     * 批量删除设备基地
     * 
     * @param tmnlandIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteTmnLandByTmnlandIds(String[] tmnlandIds);

    /**
     * 查询设备标识查询基地绑定设备列表
     *
     * @param tmnIDs 设备标识
     * @return 设备基地集合
     */
    public List<TmnLand> selectTmnLandByTmnId(String[] tmnIDs);

    /**
     * 绑定设备到基地
     *
     * @param tmnLand 设备基地
     * @return 结果
     */
    public int insertTmnLandBatch(List<TmnLand> tmnLand);
}
